---
title: tab-size
slug: Web/CSS/tab-size
tags:
  - CSS
  - CSS Property
  - CSS Text
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>tab-size</code></strong> CSS property is used to customize the width of tab characters (U+0009).</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;integer&gt; values */
tab-size: 4;
tab-size: 0;

/* &lt;length&gt; values */
tab-size: 10px;
tab-size: 2em;

/* Global values */
tab-size: inherit;
tab-size: initial;
tab-size: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{CSSxRef("&lt;integer&gt;")}}</dt>
 <dd>A multiple of the advance width of the space character (U+0020) to be used as the width of tabs. Must be nonnegative.</dd>
 <dt>{{CSSxRef("&lt;length&gt;")}}</dt>
 <dd>The width of tabs. Must be nonnegative.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Expanding_by_character_count">Expanding by character count</h3>

<pre class="brush: css notranslate">pre {
  tab-size: 4; /* Set tab size to 4 characters wide */
}
</pre>

<h3 id="Collapse_tabs">Collapse tabs</h3>

<pre class="brush: css notranslate">pre {
  tab-size: 0; /* Remove indentation */
}
</pre>

<h3 id="Comparing_to_the_default_size">Comparing to the default size</h3>

<p>This example compares a default tab size with a custom tab size. Note that {{cssxref("white-space")}} is set to <code>pre</code> to prevent the tabs from collapsing.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;no tab&lt;/p&gt;
&lt;p&gt;&amp;#0009;default tab size of 8 characters wide&lt;/p&gt;
&lt;p class="custom"&gt;&amp;#0009;custom tab size of 3 characters wide&lt;/p&gt;
&lt;p&gt;&amp;nbsp;&amp;nbsp;&amp;nbsp;3 spaces, equivalent to the custom tab size&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  white-space: pre;
}

.custom {
  tab-size: 3;
  -moz-tab-size: 3;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Comparing_to_the_default_size')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text', '#tab-size-property', 'tab-size')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.tab-size")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external" href="https://lists.w3.org/Archives/Public/www-style/2008Dec/0009.html"><cite>Controlling size of a tab character (U+0009)</cite></a>, an email by Anne van Kesteren to the CSSWG.</li>
</ul>
